# generated by cabal-rpm-0.12.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name echo
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        0.1.3
Release:        3%{?dist}
Summary:        A cross-platform, cross-console way to handle echoing terminal input

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-process-devel
# End cabal-rpm deps

%description
The 'base' library exposes the 'hGetEcho' and 'hSetEcho' functions for querying
and setting echo status, but unfortunately, neither function works with MinTTY
consoles on Windows. This is a serious issue, since 'hGetEcho' and 'hSetEcho'
are often used to disable input echoing when a program prompts for a password,
so many programs will reveal your password as you type it on MinTTY!

This library provides an alternative interface which works with both MinTTY and
other consoles. An example is included which demonstrates how one might prompt
for a password using this library. To build it, make sure to configure with the
'-fexample' flag.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}
cabal-tweak-dep-ver process '< 1.5' '< 1.7'


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md example


%changelog
* Fri Feb 23 2018 Jens Petersen <petersen@redhat.com> - 0.1.3-3
- bump release over over cabal-install
- bump process upperbound

* Sat Jan 27 2018 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.3-1
- spec file generated by cabal-rpm-0.12
